Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 139019 - media-sound/songbird (new ebuild)
Summary: media-sound/songbird (new ebuild)
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Other
: High enhancement with 4 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://www.songbirdnest.com/
Whiteboard:
Keywords: EBUILD
: 139018 247635 266796 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-07-03 08:34 UTC by Daedius
Modified: 2018-11-25 10:49 UTC (History)
49 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
songbird-0.2.ebuild (ebuild) (Won't run yet) (songbird-0.2.ebuild,1.41 KB, text/plain)
2006-10-06 23:05 UTC, Emmanuel Rosa
Details
songbird-0.2.ebuild (ebuild) (songbird-0.2.ebuild,1.33 KB, text/plain)
2006-10-07 10:49 UTC, Emmanuel Rosa
Details
songbird-launcher.sh (Script installed as /usr/bin/songbird to launch the application (songbird-launcher.sh,98 bytes, text/plain)
2006-10-07 10:51 UTC, Emmanuel Rosa
Details
songbird-bin-0.2_rc2.ebuild (songbird-bin-0.2_rc2.ebuild,1.25 KB, text/plain)
2006-10-08 05:14 UTC, Luca Marturana
Details
songbird-bin-0.2_rc2.ebuild (including amd64 support) (mozilla-songbird-bin-0.2_rc2.ebuild,1.32 KB, application/octet-stream)
2006-10-14 12:27 UTC, Trom
Details
songbird-bin-0.2.5.ebuild (songbird-bin-0.2.5.ebuild,2.48 KB, text/plain)
2007-09-23 13:28 UTC, Jose daLuz
Details
songbird-0.3.ebuild (songbird-bin-0.3.ebuild,2.47 KB, text/plain)
2007-10-31 15:43 UTC, Stefano Balocco
Details
Songbird-0.4.ebuild (songbird-bin-0.4.ebuild,2.60 KB, text/plain)
2008-01-11 01:03 UTC, John Smith
Details
songbird-bin-0.5.ebuild (songbird-bin-0.5.ebuild,2.60 KB, text/plain)
2008-04-09 17:53 UTC, Marko Wallin
Details
songbird-bin-0.6.ebuild (songbird-bin-0.6.ebuild,2.60 KB, text/plain)
2008-06-18 10:16 UTC, kaaZoo
Details
songbird-bin-0.7.0.ebuild (songbird-bin-0.7.0.ebuild,3.29 KB, text/plain)
2008-10-10 16:02 UTC, Christian Strahl
Details
songbird-bin-1.0.0_rc1.ebuild (songbird-bin-1.0.0_rc1.ebuild,3.31 KB, text/plain)
2008-11-11 04:18 UTC, Carlos Velez Baez
Details
songbird-bin-1.0.0_rc2.ebuild (songbird-bin-1.0.0_rc2.ebuild,2.87 KB, text/plain)
2008-11-15 00:48 UTC, Jonas Bernoulli
Details
songbird-bin-1.0.0_rc2-symlink.patch (songbird-bin-1.0.0_rc2-symlink.patch,854 bytes, patch)
2008-11-15 00:54 UTC, Jonas Bernoulli
Details | Diff
songbird-bin-1.0.0_rc3.ebuild (songbird-bin-1.0.0_rc3.ebuild,2.88 KB, text/plain)
2008-11-23 11:26 UTC, Jonas Bernoulli
Details
songbird-bin-1.0.0.ebuild (songbird-bin-1.0.0.ebuild,2.88 KB, text/plain)
2008-12-03 15:11 UTC, Jonas Bernoulli
Details
songbird-bin-1.0.0-symlink.patch (songbird-bin-1.0.0-symlink.patch,854 bytes, text/plain)
2008-12-03 15:12 UTC, Jonas Bernoulli
Details
faad typo fixed and >=virtual/libstdc++-3.3 removed (songbird-bin-1.0.0.ebuild,2.85 KB, text/plain)
2008-12-09 23:19 UTC, Beau Henderson
Details
Songbird version 1.1.1 ebuild (songbird-bin-1.1.1.ebuild,2.85 KB, text/plain)
2009-03-17 10:13 UTC, Szymon Olko
Details
Patch of start script for ebuild 1.1.1 (songbird-bin-1.1.1-symlink.patch,665 bytes, patch)
2009-03-17 10:14 UTC, Szymon Olko
Details | Diff
Songbird version 1.1.2 ebuild (songbird-bin-1.1.2.ebuild,2.85 KB, text/plain)
2009-04-18 10:42 UTC, kaaZoo
Details
Removing virtual/xft as dependence (songbird-1.1.2.ebuild,2.85 KB, text/plain)
2009-05-07 14:46 UTC, Davi K Vidal
Details
Songbird 1.2.0 ebuild, added pulseaudio USE (songbird-bin-1.2.0.ebuild,3.01 KB, text/plain)
2009-06-23 18:41 UTC, Justin
Details
Songbird startup script patch (songbird-bin-1.2.0-symlink.patch,494 bytes, text/plain)
2009-06-23 18:43 UTC, Justin
Details
ebuild for songbird 1.4.0.1303 (songbird-bin-1.4.0.1303_beta3.ebuild,2.83 KB, text/plain)
2009-11-18 13:41 UTC, Marcin (Poe) Rzonca
Details
ebuild for songbird 1.4.0.1303-r1 (songbird-bin-1.4.0.1303_beta3-r1.ebuild,3.03 KB, text/plain)
2009-12-02 14:20 UTC, Marcin (Poe) Rzonca
Details
ebuild for 1.4.2.1434 (songbird-1.4.2.1434.ebuild,3.02 KB, text/plain)
2009-12-23 10:59 UTC, Jan Beinersdorf
Details
songbird-bin-1.4.3.1438 (songbird-bin-1.4.3.1438.ebuild,2.87 KB, text/plain)
2009-12-27 23:10 UTC, Marcin (Poe) Rzonca
Details
nightly build, songbird-bin 1.8.0b3-1747 ebuild (songbird-bin-1.8.0.1747_beta3.ebuild,2.87 KB, text/plain)
2010-08-27 13:51 UTC, Trevor Bowen
Details
Ebuild for songbird-bin-1.8.0.1800 (the 1.8.0 release) (songbird-bin-1.8.0.1800.ebuild,3.76 KB, text/plain)
2010-10-12 21:21 UTC, Richard Ash
Details
ebuild for Songbird 1.9.3 for amd64 users (songbird-bin-1.9.3.1959.ebuild,3.24 KB, text/plain)
2011-03-16 16:54 UTC, Trevor Bowen
Details
ebuild for the newest build I could find (Songbird_1.11.0a-2190_linux-i686.tar.gz) (songbird-1.11.0.2190.ebuild,2.81 KB, text/plain)
2012-01-04 11:58 UTC, Jan Beinersdorf
Details
Ebuild for songbird-bin-1.10.2.2199 (the 1.10.2 release) (songbird-bin-1.10.2.2199.ebuild,2.67 KB, text/plain)
2012-02-01 17:51 UTC, Cyril42e
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daedius 2006-07-03 08:34:25 UTC
http://www.songbirdnest.com/
Comment 1 Daedius 2006-07-03 08:38:43 UTC
*** Bug 139018 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Cort (RETIRED) gentoo-dev 2006-07-03 09:50:55 UTC
Is there source code available for a specific version (any version)? The only code I could find was in their subversion repository[1] and their nightly snapshots[2] directory.

[1] http://publicsvn.songbirdnest.com/trac/browser/trunk
[2] http://developer.songbirdnest.com/nightly/snapshots/
Comment 3 Rob 2006-09-30 07:19:47 UTC
(In reply to comment #2)
> Is there source code available for a specific version (any version)? The only
> code I could find was in their subversion repository[1] and their nightly
> snapshots[2] directory.
> 
> [1] http://publicsvn.songbirdnest.com/trac/browser/trunk
> [2] http://developer.songbirdnest.com/nightly/snapshots/
> 

For i686:
http://download.songbirdnest.com/installer/linux/i686/Songbird_0_2_RC1_linux-i686.tar.gz

For x86_64:
http://download.songbirdnest.com/installer/linux/x86_64/Songbird_0_2_RC1_linux-x86_64.tar.gz

The other downloads are for Windows and the two varients of OSX
Comment 4 Emmanuel Rosa 2006-10-06 23:05:11 UTC
Created attachment 99022 [details]
songbird-0.2.ebuild (ebuild) (Won't run yet)

Here's a preliminary ebuild for songbird. It does not work because when the tarball is extracted the permissions are reset to defaults. I've tried and tried to fix this but failed. Hopefully someone with more knowledge on the subject can fix the problem.
Comment 5 Emmanuel Rosa 2006-10-07 10:49:33 UTC
Created attachment 99057 [details]
songbird-0.2.ebuild (ebuild)

This is a working ebuild!
You will need the file songbird-launcher.sh which should be placed in files/0.2/
Comment 6 Emmanuel Rosa 2006-10-07 10:51:56 UTC
Created attachment 99058 [details]
songbird-launcher.sh (Script installed as /usr/bin/songbird to launch the application

Store this file in OVERLAY/media-sound/songbird/files/0.2/
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2006-10-07 12:57:42 UTC
the ebuild has been reworked and will be added to Sunrise Overlay soon, I will announce here.

I can get the source of a snapshot compiled but it is far to big (more than 300 MB) to just create an ebuild.  The source snapshot brings all dependendencies and so the build system needs to be modified.  I have little experience and would like to ask people to support me with that.  Contact me by email please.
Comment 8 Luca Marturana 2006-10-08 05:14:46 UTC
Created attachment 99101 [details]
songbird-bin-0.2_rc2.ebuild

I made same changes in the ebuild of Christian 'Opfer' Faulhammer:

- Install software in /opt/songbird
- No need of a launcher script, I create a symlink on /opt/bin
- Use the correct pixmap icon
- Changed the name of the ebuild to songbird-bin-0.2_rc2.ebuild

Category suggested: media-sound.
Comment 9 Christian Faulhammer (RETIRED) gentoo-dev 2006-10-08 10:00:56 UTC
I did not provide the first ebuild.  Mine is found here:

http://www.gentoo-sunrise.org/sunrise/browser/sunrise/media-sound/mozilla-songbird-bin

I incorporated some of your changes.  The more, it has proper dependencies and some changed functions used.
Comment 10 Christian Faulhammer (RETIRED) gentoo-dev 2006-10-10 10:25:58 UTC
This is now in the sunrise overlay. You can find it at:
http://gentoo-sunrise.org/svn/reviewed/media-sound/mozilla-songbird-bin

I tried to work out a source ebuild but the songbird build system is in no way compatible to normal behaviour/expectations.  I would have to invest a lot of energy to patch and I see no sense in that.  Upstream will be asked to adjust the system, but I won't do their work.
Comment 11 Trom 2006-10-14 12:27:00 UTC
Created attachment 99674 [details]
songbird-bin-0.2_rc2.ebuild (including amd64 support)
Comment 12 Christian Faulhammer (RETIRED) gentoo-dev 2006-10-15 15:59:56 UTC
Comment on attachment 99674 [details]
songbird-bin-0.2_rc2.ebuild (including amd64 support)

amd64 support in Sunrise Overlay now...will hit review section soon.
Comment 13 Jorge Vargas 2006-12-04 20:13:18 UTC
(In reply to comment #12)
> (From update of attachment 99674 [details] [edit])
> amd64 support in Sunrise Overlay now...will hit review section soon.
> 

the ebuild is not call songbird-bin and it supports some useflags for the gst plugins. based on http://publicsvn.songbirdnest.com/trac/wiki/SettingUpGStreamer
Comment 14 Steen Eugen "Miravlix" Poulsen 2007-08-12 23:00:10 UTC
Did this die out?

None of the links seem to work.
Comment 15 Jose daLuz 2007-09-16 23:08:12 UTC
While 0.2.1 is in the Sunrise overlay, 0.2.5 is currently available. If I have time, I'll try renaming the ebuild to see if it works with 0.2.5.
Comment 16 Jose daLuz 2007-09-16 23:31:59 UTC
Well, that could have gone better...

$ songbird-bin 
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/libflashplayer.so [/opt/netscape/plugins/libflashplayer.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/RealPlayer/mozilla/nphelix.so [/opt/RealPlayer/mozilla/nphelix.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /home/jdaluz/.mozilla/plugins/nprhapengine.so [/home/jdaluz/.mozilla/plugins/nprhapengine.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/libflashplayer.so [/opt/netscape/plugins/libflashplayer.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/RealPlayer/mozilla/nphelix.so [/opt/RealPlayer/mozilla/nphelix.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /home/jdaluz/.mozilla/plugins/nprhapengine.so [/home/jdaluz/.mozilla/plugins/nprhapengine.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/libflashplayer.so [/opt/netscape/plugins/libflashplayer.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/RealPlayer/mozilla/nphelix.so [/opt/RealPlayer/mozilla/nphelix.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /home/jdaluz/.mozilla/plugins/nprhapengine.so [/home/jdaluz/.mozilla/plugins/nprhapengine.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/libflashplayer.so [/opt/netscape/plugins/libflashplayer.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /opt/RealPlayer/mozilla/nphelix.so [/opt/RealPlayer/mozilla/nphelix.so: wrong ELF class: ELFCLASS32]
LoadPlugin: failed to initialize shared library /home/jdaluz/.mozilla/plugins/nprhapengine.so [/home/jdaluz/.mozilla/plugins/nprhapengine.so: wrong ELF class: ELFCLASS32]

(gecko:8601): Gdk-CRITICAL **: _gdk_window_destroy_hierarchy: assertion `window != NULL' failed

(gecko:8601): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

I'm not worried about the warnings of 32-bit plugins from my firefox-bin setup. The last two items are accompanied by nothing but a frozen copy of /opt/songbird/xulrunner/xulrunner-bin displaying nothing. However, that might be related to the fact that I'm running gtk+ 2.12.0/glib 2.14.0 from the gnome-experimental overlay. Perhaps someone with a less-cutting-edge Gnome desktop would like to give this a try?
Comment 17 Marcin (Poe) Rzonca 2007-09-23 11:12:32 UTC
I've made ebuild to mozilla-songbird-bin-0.2.5
there are an ebuild - https://forums.gentoo.org/viewtopic-p-4239242.html#4239242
Comment 18 Jose daLuz 2007-09-23 13:28:52 UTC
Created attachment 131697 [details]
songbird-bin-0.2.5.ebuild

Here is Marcin Rzonca's ebuild, renamed to match the older ebuild in sunrise overlay. This one runs for me.
Comment 19 Stefano Balocco 2007-10-31 15:43:25 UTC
Created attachment 134811 [details]
songbird-0.3.ebuild

Modified sunrise ebuild for version 0.3.
Comment 20 Daniele C. 2007-11-15 09:02:27 UTC
I would like very much to see this ebuild updated :(

the overlay tells about version 0.2.1, there is a 0.3 ebuild attached here but the latest is 0.4
Comment 21 John Smith 2008-01-11 01:03:43 UTC
Created attachment 140652 [details]
Songbird-0.4.ebuild

New ebuild for the last "stable" songbird's release.
I hope this ebuild works fine?
Comment 22 John Smith 2008-01-11 01:06:28 UTC
Comment on attachment 140652 [details]
Songbird-0.4.ebuild

><HTML><HEAD/><BODY><PRE># Copyright 1999-2007 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
># $Header: $
>
>inherit eutils versionator
>
>MY_PN="Songbird"
>
>DESCRIPTION="Songbird is a desktop Web player, a digital jukebox and Web browser mash-up"
>HOMEPAGE="http://www.songbirdnest.com/"
>SRC_URI="x86? ( http://download.songbirdnest.com/installer/linux/i686/${MY_PN}_${PV}_linux-i686.tar.gz )
>	amd64? ( http://download.songbirdnest.com/installer/linux/x86_64/${MY_PN}_${PV}_linux-x86_64.tar.gz ) "
>
>LICENSE="GPL-2"
>SLOT="0"
>KEYWORDS="~amd64 ~x86"
>IUSE="aac alsa esd ffmpeg flac mad mp3 mpeg ogg oss speex theora vorbis"
>
>DEPEND=""
>RDEPEND="
>	&gt;=sys-libs/glibc-2.3.2
>	&gt;=x11-libs/gtk+-2.0.0
>	&gt;=media-libs/fontconfig-2.4.2
>	&gt;=x11-base/xorg-x11-7.2
>	&gt;=virtual/libstdc++-3.3
>
>	&gt;=media-libs/gstreamer-0.10
>	&gt;=media-libs/gst-plugins-base-0.10
>	&gt;=media-plugins/gst-plugins-xvideo-0.10
>	&gt;=media-plugins/gst-plugins-x-0.10
>	&gt;=media-plugins/gst-plugins-gconf-0.10
>	&gt;=media-plugins/gst-plugins-gnomevfs-0.10
>	&gt;=media-libs/gst-plugins-ugly-0.10
>
>	alsa? ( &gt;=media-plugins/gst-plugins-alsa-0.10 )
>	oss? ( &gt;=media-plugins/gst-plugins-oss-0.10 )
>	esd? ( &gt;=media-plugins/gst-plugins-esd-0.10 )
>
>	aac? ( &gt;=media-plugins/gst-plugins-faad-0.10 )
>	ffmpeg? ( &gt;=media-plugins/gst-plugins-ffmpeg-0.10 )
>	flac? ( &gt;=media-plugins/gst-plugins-flac-0.10 )
>	mp3? ( &gt;=media-plugins/gst-plugins-lame-0.10 )
>	mad? ( !mp3? ( &gt;=media-plugins/gst-plugins-mad-0.10 ) )
>	ogg? ( &gt;=media-plugins/gst-plugins-ogg-0.10 )
>	vorbis? (
>		&gt;=media-plugins/gst-plugins-ogg-0.10
>		&gt;=media-plugins/gst-plugins-vorbis-0.10
>	)
>	mpeg? ( &gt;=media-plugins/gst-plugins-mpeg2dec-0.10 )
>	theora? (
>		&gt;=media-plugins/gst-plugins-ogg-0.10
>		&gt;=media-plugins/gst-plugins-theora-0.10
>	)
>	speex? ( media-plugins/gst-plugins-speex-0.10 )
>"
>
>S=${WORKDIR}/${MY_PN}
>
>RESTRICT="strip"
>
>src_install() {
>	insinto /opt/songbird
>	doins -r *
>	fperms 755 /opt/songbird/songbird
>	fperms 755 /opt/songbird/xulrunner/xulrunner
>	fperms 755 /opt/songbird/xulrunner/xulrunner-bin
>	dosym /opt/songbird/songbird /opt/bin/songbird-bin
>
>	newicon "${S}/chrome/icons/default/default.xpm" ${PN}.xpm
>	make_desktop_entry ${PN} ${PN} ${PN}.xpm "AudioVideo;Player"
>}
>
></PRE></BODY></HTML>
Comment 23 Marko Wallin 2008-04-09 17:53:22 UTC
Created attachment 149215 [details]
songbird-bin-0.5.ebuild

Songbird 0.5 release

New ebuild for the last "stable" songbird's release.
Comment 24 kaaZoo 2008-06-18 10:16:07 UTC
Created attachment 157413 [details]
songbird-bin-0.6.ebuild

This is a new ebuild for Songbird-0.6. I only had to change the filename to 0.6 ;)

Ebuild folder should be changed to 'media-sound/songbird-bin' !
Comment 25 Per Wigren 2008-06-21 00:15:35 UTC
I got an "invalid atom"-error when running ebuild digest so I had to add ">=" to the speex line like this:

speex? ( >=media-plugins/gst-plugins-speex-0.10 )
Comment 26 nick+gentoo 2008-08-21 11:20:05 UTC
Just to mention that Songbird 0.7 public beta has just been released.

Now it is in public beta, will it be added as unstable to portage proper?
Also will there be both media-sound/songbird{,bin}?
Comment 27 Christian Strahl 2008-10-10 16:02:30 UTC
Created attachment 167878 [details]
songbird-bin-0.7.0.ebuild
Comment 28 kaaZoo 2008-10-12 13:09:50 UTC
Cool Christian,

your 0.7 ebuild works for me under AMD64 very fine.

Thanks!

 
Comment 29 Dominik George 2008-10-18 22:46:04 UTC
The ebuild and software work great on amd64.

I vote for pushing songbird into portage!
Comment 30 Ben de Groot (RETIRED) gentoo-dev 2008-10-18 23:24:49 UTC
We need to make it build from source, on top of our xulrunner ebuild. When that works, I am willing to commit it to portage. 

In the meantime somebody may want to update the ebuild for songbird-bin in Sunrise overlay.
Comment 31 Carlos Velez Baez 2008-11-11 04:18:12 UTC
Created attachment 171394 [details]
songbird-bin-1.0.0_rc1.ebuild 

version bump
Comment 32 Dominik George 2008-11-11 10:54:41 UTC
 * Songbird is still under development!
 * This ebuild is not supported by Gentoo, so
 * please do not send any bugs at Gentoo's bugzilla.

Who put this ewarn in the ebuild? It should probably be "Do not post upstream bugs", because honestly, how are we supposed to create a good ebuild that has a chance to be committed into portage if user help is not appreciated?

Anyway, the ebuild works fine for me.
Comment 33 R Bar-On 2008-11-12 13:30:20 UTC
I agree, it should be built from source.  Unfortunately, the build instructions at http://wiki.songbirdnest.com/Developer/Articles/Getting_Started/Core_Player_Development require binary dependencies to be checked out.  That's not in the Gentoo spirit...
Comment 34 Ben de Groot (RETIRED) gentoo-dev 2008-11-12 15:03:49 UTC
(In reply to comment #33)
> I agree, it should be built from source.  Unfortunately, the build instructions
> require binary dependencies to be checked out.

That's not a problem. We have ebuilds for all those dependencies, so we can supply those ourselves. Maybe I should contact someone from the mozilla herd to help out, as they know about building things with xulrunner.
Comment 35 Jonas Bernoulli 2008-11-12 15:08:09 UTC
(In reply to comment #32)

What about:
 * Songbird is still under development!
 * This ebuild is not supported by Gentoo, so please
 * do not open any new bugs at Gentoo's bugzilla.  Use
 * https://bugs.gentoo.org/show_bug.cgi?id=139019 instead.
Comment 36 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-12 15:19:28 UTC
(In reply to comment #34)

> That's not a problem. We have ebuilds for all those dependencies, so we can
> supply those ourselves. Maybe I should contact someone from the mozilla herd to
> help out, as they know about building things with xulrunner.

The problem is that those dependencies are *heavily* patched and songbird devs have had little patience for upstreaming their patches. And they need vlc-0.8*.
Comment 37 Ben de Groot (RETIRED) gentoo-dev 2008-11-12 15:35:23 UTC
(In reply to comment #36)
> The problem is that those dependencies are *heavily* patched and songbird devs
> have had little patience for upstreaming their patches. And they need vlc-0.8*.

The songbird-bin ebuild made available here also has our ebuilds as dependencies (so not patched by songbird devs) and seems to work just fine. And I don't see a vlc dep anywhere either. 

Comment 38 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-12 16:13:13 UTC
(In reply to comment #37)
> (In reply to comment #36)
> > The problem is that those dependencies are *heavily* patched and songbird devs
> > have had little patience for upstreaming their patches. And they need vlc-0.8*.
> 
> The songbird-bin ebuild made available here also has our ebuilds as
> dependencies (so not patched by songbird devs)

libxul.so is installed by this ebuild.

http://src.songbirdnest.com/source/xref/client/patches/mozilla/
http://wiki.songbirdnest.com/Developer/Articles/Getting_Started/Core_Player_Development/Building_Songbird/Building_XULRunner_for_Songbird

> and seems to work just fine. And
> I don't see a vlc dep anywhere either. 

That was my mistake. They have patches for vlc and I assumed... Anyway, for linux they rely exclusively on gstreamer.
Comment 39 Jonas Bernoulli 2008-11-15 00:48:51 UTC
Created attachment 171766 [details]
songbird-bin-1.0.0_rc2.ebuild

(one of the two tabs starting each indented line removed)
Comment 40 Jonas Bernoulli 2008-11-15 00:54:23 UTC
Created attachment 171767 [details, diff]
songbird-bin-1.0.0_rc2-symlink.patch

Starting with 1.0.0_rc1 (or rather some unknown nightly) a new shell script songbird/songbird-bin is added.

Making this execulable (see ebuild above) is not enought. Symlinking to songbird/sonbird doesn't work anymore:

$ songbird-bin 
songbird-bin: Cannot execute .

There is a patch at http://bugzilla.songbirdnest.com/show_bug.cgi?id=13265. Unfortunately that isn't enought eighter. Since we have /opt/bin/songbird-BIN -> /opt/songbird/songbird. I modified that patch (crudely) to work around that.
Comment 41 Dominik George 2008-11-15 09:05:26 UTC
Great job, works on amd64!
Comment 42 Dominik George 2008-11-15 09:12:02 UTC
If someone finds a source tarball, please let me know so I can build an ebuild for it ...

If there isn't a source tarball, would it be ok to create one from SVN and host it?
Comment 43 R Bar-On 2008-11-15 12:34:19 UTC
does installing songbird seriously require libstdc++?  Why are there binaries linked against pre gcc 3.4?  Damn, this kind of stuff is why I run Gentoo!  A source ebuild would be so much better...
Comment 44 Dominik George 2008-11-16 00:59:51 UTC
In reply to #43:

We could do better if people wouldn't keep complaining about things we already know but go and contribute code ...
Comment 45 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-19 22:59:03 UTC
*** Bug 247635 has been marked as a duplicate of this bug. ***
Comment 46 Jonas Bernoulli 2008-11-23 11:26:45 UTC
Created attachment 172920 [details]
songbird-bin-1.0.0_rc3.ebuild

bump
Comment 47 Patrizio Bassi 2008-12-03 13:59:37 UTC
official 1.0 out! :)
Comment 48 Jonas Bernoulli 2008-12-03 15:11:57 UTC
Created attachment 174168 [details]
songbird-bin-1.0.0.ebuild
Comment 49 Jonas Bernoulli 2008-12-03 15:12:34 UTC
Created attachment 174169 [details]
songbird-bin-1.0.0-symlink.patch

file content hasn't changed
Comment 50 Andreas Nüßlein 2008-12-04 15:30:57 UTC
>=virtual/libstdc++-3.3    is completely unneccessary - one can just remove the line and doesn't have to install the pre-historic gcc v.3 ( / libstdc++-v3)


Comment 51 Dominik George 2008-12-04 21:14:25 UTC
1.0.0 ebuild works great for me, with the unnecessary glibc dependency removed.

Did anyone find a source archive so I could create a source ebuild?
Comment 52 Andy Gebauer 2008-12-04 21:26:07 UTC
(In reply to comment #51)
> 1.0.0 ebuild works great for me, with the unnecessary glibc dependency removed.
> 
> Did anyone find a source archive so I could create a source ebuild?
> 

I think, source can be found on http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds
The direct link to source is http://download.songbirdnest.com/source/Songbird1.0.0-860.tar.bz2
Comment 53 Thomas Sachau gentoo-dev 2008-12-07 22:03:28 UTC
adding our alias, so we can follow it and remove it from sunrise, once it is in the main tree.
Comment 54 Dominik George 2008-12-08 19:27:37 UTC
I'm just messing with this strange way of deploying the sources and depending on libraries.

The Songbird developers really deploy all the dependencies nedded as source, including gcc and everything else needed to build ...
Comment 55 Dominik George 2008-12-08 19:56:56 UTC
They have almost all of the dependencies patched, so we cannot use existing ebuilds as dependencies.

This is BAD!

I won't give up ;)
Comment 56 Trevor Bowen 2008-12-09 17:35:38 UTC
I was able to successfully install the 1.0.0 ebuild -- Thanks, Jonas! However, I am encountering two errors during run-time:

1) If I execute songbird-bin as root, the app opens fine, and I able to locate songs and add them to my library.  However, whenever I try to play an M4A song, I get the following pop-up error:

Songbird has encountered the following media core error:
GStreamer encountered a general stream error.

BTW, this does not happen, if I try to play an MP3.  I read elsewhere this may be related to PuleAudio dependencies...

2) If I execute songbird-bin as a normal user, it dies immediately with this error:

$ songbird-bin 
run_moz: /opt/songbird/songbird-bin
xx /opt/songbird/songbird-bin
/opt/bin/songbird-bin: line 134: 31371 Segmentation fault      "$prog" ${1+"$@"}

$ echo $?
139

Any suggestions?  Are there additional dependencies not being expressed by the current 1.0.0 ebuild (pulseaudio, etc.)?  My apologies if I should have reported this somewhere else. ... Thanks!
Comment 57 Dominik George 2008-12-09 21:16:28 UTC
Re: #56

The ebuild clearly states (after installing) that upstream bugs are not handled by the Gentoo project.

And the Songbird website clearly states that Songbird can not playback m4a files at the moment.

-nik
Comment 58 Trevor Bowen 2008-12-09 21:38:14 UTC
#57 - My apologies.  It is hard for me to know what is an "upstream" bug versus an "ebuild" bug.

I was able to solve my two problems.  Here are the solutions:

1) M4A files require this GStreamer plugin:

emerge media-plugins/gst-plugins-faad

I also went through the pulseaudio and realtime setups.  I don't know if that helped, but once I included the faad plugin, everything started working.

2) My regular user could not run Songbird.  Why?  I had previously tried to install songbird from songbirdnest, but experienced several lib (32-bit versus 64-bit) errors, so I uninstalled it.  Unfortunately, the leftover preferences directory (~/.songbird2) was not compatible, and it was causing the seg-fault.  Once I deleted it, my user could run songbird-bin, same as root.

So, I am playing M4A files flawlessly now through PulseAudio, ALSA, and Songbird-1.0 over an EchoAudio Mia card.  woot!  Thanks for the ebuilds and help!

Should we update the ebuild to remove the libstdc++-3.3 dep and fix the "fad -> faad" typo in the USE flags?  This probably would have saved me all this headache, if that typo had not been present, and if the flag had been active by default.  I'll be happy to upload a new version...  They are minor changes.
Comment 59 Beau Henderson 2008-12-09 23:19:44 UTC
Created attachment 174815 [details]
faad typo fixed and >=virtual/libstdc++-3.3 removed
Comment 60 Andy Gebauer 2008-12-17 21:35:51 UTC
(In reply to comment #59)
> Created an attachment (id=174815) [edit]
> faad typo fixed and >=virtual/libstdc++-3.3 removed
> 

I would suggest to replace the faad use flag by the aac use flag. 
This would be conformant to the exaile and banshee ebuilds, as example.

Maybe also faac use flag may be replaced by the ipod use flag as in the banshee ebuild.
Comment 61 Jonas Bernoulli 2008-12-18 00:39:41 UTC
this blogpost lists some of the problems distributers face when putting their teath into songbird:

  http://whacked.net/2008/12/11/ubuntu-songbird-sitting-in-a-tree/
Comment 62 Ben de Groot (RETIRED) gentoo-dev 2008-12-18 01:08:08 UTC
(In reply to comment #61)
>   http://whacked.net/2008/12/11/ubuntu-songbird-sitting-in-a-tree/

Yeah, that's pretty bad. The best thing to do, in my opinion, is to urge the upstream Songbird developers to submit their patches to the upstream dependencies, especially Xulrunner (i.e. Mozilla). Either that or they should use vanilla xulrunner. We do not want to patch our (system) xulrunner with patches particular to Songbird. And we also do not want to support a Songbird build with its own version of xulrunner, and all of the security hassles that brings about.

All in all, the way things are now with Songbird, it doesn't look like this will go into portage any time soon. At least the -bin ebuild is now available in Sunrise, for those users who really want it.
Comment 63 Alex Alexander (RETIRED) gentoo-dev 2008-12-18 10:02:51 UTC
I get all this nifty output instead of the program:

wired@cloud ~ $ songbird-bin 
run_moz: /opt/songbird/songbird-bin
xx /opt/songbird/songbird-bin
*** glibc detected *** /opt/songbird/songbird-bin: free(): invalid pointer: 0x00007fe40a332930 ***
======= Backtrace: =========
/lib/libc.so.6[0x7fe40a542438]
/lib/libc.so.6(cfree+0x76)[0x7fe40a543f76]
//usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.1[0x7fe40b6bba2b]
======= Memory map: ========
00400000-00408000 r-xp 00000000 08:06 1205191                            /opt/songbird/songbird-bin
00608000-00609000 rw-p 00008000 08:06 1205191                            /opt/songbird/songbird-bin
41e5b000-41e5d000 rwxp 00000000 00:0f 2121                               /dev/zero
7fe4008f2000-7fe401618000 r-xp 00000000 08:06 1149058                    /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
7fe401618000-7fe401717000 ---p 00d26000 08:06 1149058                    /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
7fe401717000-7fe401b3c000 rwxp 00d25000 08:06 1149058                    /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
7fe401b3c000-7fe401b4d000 rwxp 7fe401b3c000 00:00 0 
7fe401b4d000-7fe401b55000 r-xp 00000000 08:06 818643                     /lib64/librt-2.9.so
7fe401b55000-7fe401d54000 ---p 00008000 08:06 818643                     /lib64/librt-2.9.so
7fe401d54000-7fe401d55000 r--p 00007000 08:06 818643                     /lib64/librt-2.9.so
7fe401d55000-7fe401d56000 rw-p 00008000 08:06 818643                     /lib64/librt-2.9.so
7fe401d56000-7fe401dbd000 r-xp 00000000 08:06 247058                     /usr/lib64/libgio-2.0.so.0.1800.3
7fe401dbd000-7fe401fbd000 ---p 00067000 08:06 247058                     /usr/lib64/libgio-2.0.so.0.1800.3
7fe401fbd000-7fe401fbf000 r--p 00067000 08:06 247058                     /usr/lib64/libgio-2.0.so.0.1800.3
7fe401fbf000-7fe401fc0000 rw-p 00069000 08:06 247058                     /usr/lib64/libgio-2.0.so.0.1800.3
7fe401fc0000-7fe401fc1000 rw-p 7fe401fc0000 00:00 0 
7fe401fc1000-7fe401fca000 r-xp 00000000 08:06 364359                     /usr/lib64/libXi.so.6.0.0
7fe401fca000-7fe4021ca000 ---p 00009000 08:06 364359                     /usr/lib64/libXi.so.6.0.0
7fe4021ca000-7fe4021cb000 r--p 00009000 08:06 364359                     /usr/lib64/libXi.so.6.0.0
7fe4021cb000-7fe4021cc000 rw-p 0000a000 08:06 364359                     /usr/lib64/libXi.so.6.0.0
7fe4021cc000-7fe4021dc000 r-xp 00000000 08:06 24213                      /usr/lib64/libXext.so.6.4.0
7fe4021dc000-7fe4023dc000 ---p 00010000 08:06 24213                      /usr/lib64/libXext.so.6.4.0
7fe4023dc000-7fe4023dd000 r--p 00010000 08:06 24213                      /usr/lib64/libXext.so.6.4.0
7fe4023dd000-7fe4023de000 rw-p 00011000 08:06 24213                      /usr/lib64/libXext.so.6.4.0
7fe4023de000-7fe4023f6000 r-xp 00000000 08:06 298408                     /usr/lib64/libXmu.so.6.2.0
7fe4023f6000-7fe4025f6000 ---p 00018000 08:06 298408                     /usr/lib64/libXmu.so.6.2.0
7fe4025f6000-7fe4025f7000 r--p 00018000 08:06 298408                     /usr/lib64/libXmu.so.6.2.0
7fe4025f7000-7fe4025f8000 rw-p 00019000 08:06 298408                     /usr/lib64/libXmu.so.6.2.0
7fe4025f8000-7fe40260d000 r-xp 00000000 08:06 194875                     /usr/lib64/libICE.so.6.3.0
7fe40260d000-7fe40280c000 ---p 00015000 08:06 194875                     /usr/lib64/libICE.so.6.3.0
7fe40280c000-7fe40280d000 r--p 00014000 08:06 194875                     /usr/lib64/libICE.so.6.3.0
7fe40280d000-7fe40280e000 rw-p 00015000 08:06 194875                     /usr/lib64/libICE.so.6.3.0
7fe40280e000-7fe402811000 rw-p 7fe40280e000 00:00 0 
7fe402811000-7fe402818000 r-xp 00000000 08:06 194778                     /usr/lib64/libSM.so.6.0.0
7fe402818000-7fe402a17000 ---p 00007000 08:06 194778                     /usr/lib64/libSM.so.6.0.0
7fe402a17000-7fe402a18000 r--p 00006000 08:06 194778                     /usr/lib64/libSM.so.6.0.0
7fe402a18000-7fe402a19000 rw-p 00007000 08:06 194778                     /usr/lib64/libSM.so.6.0.0
7fe402a19000-7fe402abd000 r-xp 00000000 08:06 1149055                    /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
7fe402abd000-7fe402bbc000 ---p 000a4000 08:06 1149055                    /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
7fe402bbc000-7fe402bf4000 rwxp 000a3000 08/opt/bin/songbird-bin: line 134: 23881 Aborted                 "$prog" ${1+"$@"}
Comment 64 Ben de Groot (RETIRED) gentoo-dev 2008-12-18 13:20:04 UTC
Reassigning to maintainer-wanted until the problems concerning patched dependencies are solved.
Comment 65 Aron 2008-12-18 14:31:06 UTC
Which version of the x11-drivers/nvidia-drivers are you running?  I received the same segfault when running 180.16; looking at the backtrace you can see the NVIDIA libraries are the problem.  Reverting to 177.82 fixed it for me.

(In reply to comment #63)
> I get all this nifty output instead of the program:
> 
> wired@cloud ~ $ songbird-bin 
> run_moz: /opt/songbird/songbird-bin
> xx /opt/songbird/songbird-bin
> *** glibc detected *** /opt/songbird/songbird-bin: free(): invalid pointer:
> 0x00007fe40a332930 ***
> ======= Backtrace: =========
> /lib/libc.so.6[0x7fe40a542438]
> /lib/libc.so.6(cfree+0x76)[0x7fe40a543f76]
> //usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.1[0x7fe40b6bba2b]
> ======= Memory map: ========
> 00400000-00408000 r-xp 00000000 08:06 1205191                           
> /opt/songbird/songbird-bin
> 00608000-00609000 rw-p 00008000 08:06 1205191                           
> /opt/songbird/songbird-bin
> 41e5b000-41e5d000 rwxp 00000000 00:0f 2121                              
> /dev/zero
> 7fe4008f2000-7fe401618000 r-xp 00000000 08:06 1149058                   
> /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> 7fe401618000-7fe401717000 ---p 00d26000 08:06 1149058                   
> /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> 7fe401717000-7fe401b3c000 rwxp 00d25000 08:06 1149058                   
> /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> 7fe401b3c000-7fe401b4d000 rwxp 7fe401b3c000 00:00 0 
> 7fe401b4d000-7fe401b55000 r-xp 00000000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401b55000-7fe401d54000 ---p 00008000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401d54000-7fe401d55000 r--p 00007000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401d55000-7fe401d56000 rw-p 00008000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401d56000-7fe401dbd000 r-xp 00000000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401dbd000-7fe401fbd000 ---p 00067000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401fbd000-7fe401fbf000 r--p 00067000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401fbf000-7fe401fc0000 rw-p 00069000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401fc0000-7fe401fc1000 rw-p 7fe401fc0000 00:00 0 
> 7fe401fc1000-7fe401fca000 r-xp 00000000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe401fca000-7fe4021ca000 ---p 00009000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe4021ca000-7fe4021cb000 r--p 00009000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe4021cb000-7fe4021cc000 rw-p 0000a000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe4021cc000-7fe4021dc000 r-xp 00000000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4021dc000-7fe4023dc000 ---p 00010000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4023dc000-7fe4023dd000 r--p 00010000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4023dd000-7fe4023de000 rw-p 00011000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4023de000-7fe4023f6000 r-xp 00000000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4023f6000-7fe4025f6000 ---p 00018000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4025f6000-7fe4025f7000 r--p 00018000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4025f7000-7fe4025f8000 rw-p 00019000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4025f8000-7fe40260d000 r-xp 00000000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40260d000-7fe40280c000 ---p 00015000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40280c000-7fe40280d000 r--p 00014000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40280d000-7fe40280e000 rw-p 00015000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40280e000-7fe402811000 rw-p 7fe40280e000 00:00 0 
> 7fe402811000-7fe402818000 r-xp 00000000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402818000-7fe402a17000 ---p 00007000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402a17000-7fe402a18000 r--p 00006000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402a18000-7fe402a19000 rw-p 00007000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402a19000-7fe402abd000 r-xp 00000000 08:06 1149055                   
> /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
> 7fe402abd000-7fe402bbc000 ---p 000a4000 08:06 1149055                   
> /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
> 7fe402bbc000-7fe402bf4000 rwxp 000a3000 08/opt/bin/songbird-bin: line 134:
> 23881 Aborted                 "$prog" ${1+"$@"}
> 

Comment 66 Alex Alexander (RETIRED) gentoo-dev 2008-12-18 15:18:36 UTC
Yeah, Im running 180.16.

But Im not reverting for Songbird, 180.16 is an excellent release, not worth losing for Songbird.

Thanks anyway :)

(In reply to comment #65)
> Which version of the x11-drivers/nvidia-drivers are you running?  I received
> the same segfault when running 180.16; looking at the backtrace you can see the
> NVIDIA libraries are the problem.  Reverting to 177.82 fixed it for me.
Comment 67 Patrizio Bassi 2009-02-07 20:46:11 UTC
any progress on portage inclusion?
Comment 68 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-07 22:51:58 UTC
(In reply to comment #67)
> any progress on portage inclusion?
> 

Until upstream does the sensible thing and starts using system libraries, inclusion isn't really desirable. I understand there is an ebuild in sunrise which is easy to get to with layman.
The minute upstream rectifies the problems we've been discussing in this bug, I (or another dev) will get an ebuild into the portage tree.
Comment 69 Ben de Groot (RETIRED) gentoo-dev 2009-02-07 22:54:46 UTC
(In reply to comment #67)

No. See comments #62 and #64, as well as
http://ben.liveforge.org/supporting-songbird
Comment 70 Patrizio Bassi 2009-02-08 00:36:01 UTC
i see for sources, but what about -bin inclusion?
Comment 71 Dror Levin (RETIRED) gentoo-dev 2009-03-11 08:57:20 UTC
Version 1.1 is out :)
Comment 72 Dave 2009-03-13 15:50:51 UTC
(In reply to comment #71)
> Version 1.1 is out :)
> 

http://wiki.songbirdnest.com/@api/deki/files/599/=songbird-bin-1.1.1.1018.ebuild

my ebuild for it.
Comment 73 Thomas Sachau gentoo-dev 2009-03-13 16:46:08 UTC
Also it is already in keywords and whiteboard, seems like at least some people dont know about it or dont notice it:

sunbird-bin is in sunrise-overlay (details at [1] and [2]), you can use it in a simple way with it and you can also get access to it to get any updates into the overlay (see the HowtoCommit link on [2] for details).

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/en/sunrise/
Comment 74 Dominik George 2009-03-14 16:38:27 UTC
The 1.1.1 ebuild doesn't work for me, neither did my own one. The old symlink error again, but I cannot seem to get the patch applied. Apart from that, the patch we supposed for 1.0.0 appears to be included in upstream ...
Comment 75 Dave 2009-03-15 01:23:38 UTC
(In reply to comment #74)
> The 1.1.1 ebuild doesn't work for me, neither did my own one. The old symlink
> error again, but I cannot seem to get the patch applied. Apart from that, the
> patch we supposed for 1.0.0 appears to be included in upstream ...
> 

my work around was simply to run /opt/songbird/songbird whenever i want to use it.
Comment 76 Szymon Olko 2009-03-17 10:13:36 UTC
Created attachment 185297 [details]
Songbird version 1.1.1 ebuild

New version of songbird was released. Start script does not work if link is not called 'songbird', thats why patch file is included in next attachment.
Comment 77 Szymon Olko 2009-03-17 10:14:35 UTC
Created attachment 185298 [details, diff]
Patch of start script for ebuild 1.1.1

Patch for start script
Comment 78 Dominik George 2009-03-17 11:43:40 UTC
There is an upstream bug that prevents Songbird 1.1.1 from doing add-on updates, rendering this version virtually useless (apart from pure playback) on Linux.
Comment 79 Dave 2009-03-17 20:08:24 UTC
(In reply to comment #78)
> There is an upstream bug that prevents Songbird 1.1.1 from doing add-on
> updates, rendering this version virtually useless (apart from pure playback) on
> Linux.
> 

i've had no issues installing addons. there are a few that are not compatible because they haven't been updated for 1.1.1, but other than that i've had no issues
Comment 80 Christian Strahl 2009-03-23 11:46:30 UTC
i have emerged the new songbird version (1.1.1) but if i try to run songbird-bin i get this error:

*** glibc detected *** /opt/songbird/songbird-bin: free(): invalid pointer: 0x00007fb386632980 ***
======= Backtrace: =========
/lib/libc.so.6[0x7fb38679919d]
/lib/libc.so.6(cfree+0x76)[0x7fb38679abe6]
/usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.1[0x7fb37c39aa2b]
======= Memory map: ========
00400000-00408000 r-xp 00000000 08:03 5164127                            /opt/songbird/songbird-bin
00608000-00609000 rw-p 00008000 08:03 5164127                            /opt/songbird/songbird-bin
40d30000-40d32000 rwxp 00000000 00:0f 1858                               /dev/zero
7fb37c39a000-7fb37c39b000 r-xp 00000000 08:03 4392546                    /usr/lib64/opengl/nvidia/tls/libnvidia-tls.so.180.29
7fb37c39b000-7fb37c49b000 ---p 00001000 08:03 4392546                    /usr/lib64/opengl/nvidia/tls/libnvidia-tls.so.180.29
7fb37c49b000-7fb37c49c000 rw-p 00001000 08:03 4392546                    /usr/lib64/opengl/nvidia/tls/libnvidia-tls.so.180.29
7fb37c49c000-7fb37d23c000 r-xp 00000000 08:03 4392553                    /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.29
7fb37d23c000-7fb37d33b000 ---p 00da0000 08:03 4392553                    /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.29
7fb37d33b000-7fb37d772000 rwxp 00d9f000 08:03 4392553                    /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.29
7fb37d772000-7fb37d784000 rwxp 7fb37d772000 00:00 0 
7fb37d784000-7fb37d78b000 r-xp 00000000 08:03 6062833                    /lib64/librt-2.8.so
7fb37d78b000-7fb37d98b000 ---p 00007000 08:03 6062833                    /lib64/librt-2.8.so
7fb37d98b000-7fb37d98c000 r--p 00007000 08:03 6062833                    /lib64/librt-2.8.so
7fb37d98c000-7fb37d98d000 rw-p 00008000 08:03 6062833                    /lib64/librt-2.8.so
7fb37d98d000-7fb37d996000 r-xp 00000000 08:03 5655213                    /usr/lib64/libXcursor.so.1.0.2
7fb37d996000-7fb37db96000 ---p 00009000 08:03 5655213                    /usr/lib64/libXcursor.so.1.0.2
7fb37db96000-7fb37db97000 r--p 00009000 08:03 5655213                    /usr/lib64/libXcursor.so.1.0.2
7fb37db97000-7fb37db98000 rw-p 0000a000 08:03 5655213                    /usr/lib64/libXcursor.so.1.0.2
7fb37db98000-7fb37db9f000 r-xp 00000000 08:03 5654722                    /usr/lib64/libXrandr.so.2.1.0
7fb37db9f000-7fb37dd9e000 ---p 00007000 08:03 5654722                    /usr/lib64/libXrandr.so.2.1.0
7fb37dd9e000-7fb37dd9f000 r--p 00006000 08:03 5654722                    /usr/lib64/libXrandr.so.2.1.0
7fb37dd9f000-7fb37dda0000 rw-p 00007000 08:03 5654722                    /usr/lib64/libXrandr.so.2.1.0
7fb37dda0000-7fb37dda2000 r-xp 00000000 08:03 5654485                    /usr/lib64/libXinerama.so.1.0.0
7fb37dda2000-7fb37dfa1000 ---p 00002000 08:03 5654485                    /usr/lib64/libXinerama.so.1.0.0
7fb37dfa1000-7fb37dfa2000 r--p 00001000 08:03 5654485                    /usr/lib64/libXinerama.so.1.0.0
7fb37dfa2000-7fb37dfa3000 rw-p 00002000 08:03 5654485                    /usr/lib64/libXinerama.so.1.0.0
7fb37dfa3000-7fb37e017000 r-xp 00000000 08:03 3214217                    /usr/lib64/libgio-2.0.so.0.1800.4
7fb37e017000-7fb37e216000 ---p 00074000 08:03 3214217                    /usr/lib64/libgio-2.0.so.0.1800.4
7fb37e216000-7fb37e218000 r--p 00073000 08:03 3214217                    /usr/lib64/libgio-2.0.so.0.1800.4
7fb37e218000-7fb37e219000 rw-p 00075000 08:03 3214217                    /usr/lib64/libgio-2.0.so.0.1800.4
7fb37e219000-7fb37e21a000 rw-p 7fb37e219000 00:00 0 
7fb37e21a000-7fb37e220000 r-xp 00000000 08:03 5654339                    /usr/lib64/libXfixes.so.3.1.0
7fb37e220000-7fb37e41f000 ---p 00006000 08:03 5654339                    /usr/lib64/libXfixes.so.3.1.0
7fb37e41f000-7fb37e420000 r--p 00005000 08:03 5654339                    /usr/lib64/libXfixes.so.3.1.0
7fb37e420000-7fb37e421000 rw-p 00006000 08:03 5654339                    /usr/lib64/libXfixes.so.3.1.0
7fb37e421000-7fb37e423000 r-xp 00000000 08:03 5655311                    /usr/lib64/libXdamage.so.1.1.0
7fb37e423000-7fb37e622000 ---p 00002000 08:03 5655311                    /usr/lib64/libXdamage.so.1.1.0
7fb37e622000-7fb37e623000 r--p 00001000 08:03 5655311                    /usr/lib64/libXdamage.so.1.1.0
7fb37e623000-7fb37e624000 rw-p 00002000 08:03 5655311                    /usr/lib64/libXdamage.so.1.1.0
7fb37e624000-7fb37e626000 r-xp 00000000 08:03 5655355                    /usr/lib64/libXcomposite.so.1.0.0
7fb37e626000-7fb37e826000 ---p 00002000 08:03 5655355                    /usr/lib64/libXcomposite.so.1.0.0
7fb37e826000-7fb37e827000 r--p 00002000 08:03 5655355                    /usr/lib64/libXcomposite.so.1.0.0
7fb37e827000-7fb37e828000 rw-p 00003000 08:03 5655355                    /usr/lib64/libXcomposite.so.1.0.0
7fb37e828000-7fb37e82d000 r-xp 00000000 08:03 5654204                    /usr/lib64/libXdmcp.so.6.0.0
7fb37e82d000-7fb37ea2c000 ---p 00005000 08:03 5654204                    /usr/lib64/libXdmcp.so.6.0.0
7fb37ea2c000-7fb37ea2d000 r--p 00004000 08:03 5654204                    /usr/lib64/libXdmcp.so.6.0.0
7fb37ea2d000-7fb37ea2e000 rw-p 00005000 08:03 5654204                    /usr/lib64/libXdmcp.so.6.0.0
7fb37ea2e000-7fb37ea30000 r-xp 00000000 08:03 5654055                    /usr/lib64/libXau.so.6.0.0
7fb37ea30000-7fb37ec2f000 ---p 00002000 08:03 5654055                    /usr/lib64/libXau.so.6.0.0
7fb37ec2f000-7fb37ec30000 r--p 00/opt/bin/songbird-bin: line 134:  3716 Abgebrochen             "$prog" ${1+"$@"}



emerge --info:

Portage 2.2_rc26 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.27-gentoo-r8 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r8-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6000+-with-glibc2.2.5
Timestamp of tree: Mon, 23 Mar 2009 11:30:17 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.4.8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -fweb -ftracer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -fweb -ftracer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://gentoo.intergenia.de ftp://ftp.gentoo.mesh-solutions.com/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac acl acpi alsa amazon amd amd64 apache2 apm applet aqua_theme asf async automount avahi berkdb bonobo bzip2 c++ cairo calendar cdda cddb cdio cdrom cgi cli cpudetection cracklib crypt css ctype cups custom-optimization cvs cvsgraph dbus de_tvtoday dhcp directfb divx divx4linux dpms dri dts dvb dvbplayer dvd dvdr emerald emul-linux-x86 encode exif ext-png fat fbcon fbcondecor fbsplash ffmpeg flac flash fortran fpx ftp gaim gdbm gecko gedit gif gimp gimpprint ginac glade glitz gnome gnome-print gnomecanvas gnomedb gpm gps graphviz grub gs gsl gstreamer gtk gtkhtml gzip h323 hal hddtemp hfs icons iconv icq id3 ieee1394 imap inkjar ipod ipsec ipv6 isdnlog java jfs jpeg jpeg2k lame libnotify libvisual live lm_sensors logitech-mouse mad math midi ming mmx mmxext mng mod moonlight mouse mozbranding mozilla moznopango mp2 mp3 mp4 mp4live mpd-mad mpe mpeg mpeg2 mpeg4 mplayer mplayer-bin mudflap multilib musepack mysql nautilus ncurses net nls no-seamonkey nptl nptlonly nsplugin ntfs nvidia ogg opengl openmp pam pcap pcapnav pcre pdf perl php pidgin plotutils png postscript pppd print ps pulseaudio python rar readline realmedia reflection reiser4 reiserfs samba sblive scanner sensord session sftp simplexml skins slang smp spell spl sql sse sse-filters sse2 ssl stream svg svgz sysfs tcpd themes theora thesaurus threads thunderbird tidy tiff totem transcode truetype tv_check type1 unicode usb userlocales utf8 vcd vdr vfat vim vim-syntax vorbis wav webdav wifi winbind wireshark wma wmf x264 xfs xine xinerama xml xmldoclet xmlreader xmlwriter xorg xpm xprint xscreensaver xsettings xsl xslt xulrunner xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="usb-dib0700" ELIBC="glibc" INPUT_DEVICES="keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 81 Marcin (Poe) Rzonca 2009-03-27 13:22:05 UTC
I have the same error like above. 

*** glibc detected *** /opt/songbird/songbird-bin: free(): invalid pointer: 0x00007faa31d32840 ***
======= Backtrace: =========
/lib/libc.so.6[0x7faa31f21138]
/lib/libc.so.6(cfree+0x76)[0x7faa31f22c76]
//usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.1[0x7faa330aaa3b]
======= Memory map: ========
00400000-00408000 r-xp 00000000 08:02 1697780                            /opt/songbird/songbird-bin
00608000-00609000 rw-p 00008000 08:02 1697780                            /opt/songbird/songbird-bin
40ab3000-40ab5000 rwxp 00000000 00:0f 2015                               /dev/zero
7faa28224000-7faa28228000 r-xp 00000000 08:02 925594                     /lib64/libuuid.so.1.2
7faa28228000-7faa28427000 ---p 00004000 08:02 925594                     /lib64/libuuid.so.1.2
7faa28427000-7faa28428000 r--p 00003000 08:02 925594                     /lib64/libuuid.so.1.2
7faa28428000-7faa28429000 rw-p 00004000 08:02 925594                     /lib64/libuuid.so.1.2
7faa28429000-7faa291cb000 r-xp 00000000 08:02 787999                     /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.41
7faa291cb000-7faa292ca000 ---p 00da2000 08:02 787999                     /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.41
7faa292ca000-7faa29701000 rwxp 00da1000 08:02 787999                     /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.41
7faa29701000-7faa29713000 rwxp 7faa29701000 00:00 0 
7faa29713000-7faa2971b000 r-xp 00000000 08:02 1526077                    /lib64/librt-2.9.so
7faa2971b000-7faa2991a000 ---p 00008000 08:02 1526077                    /lib64/librt-2.9.so
7faa2991a000-7faa2991b000 r--p 00007000 08:02 1526077                    /lib64/librt-2.9.so
7faa2991b000-7faa2991c000 rw-p 00008000 08:02 1526077                    /lib64/librt-2.9.so
7faa2991c000-7faa29933000 r-xp 00000000 08:02 236061                     /usr/lib64/libICE.so.6.3.0
7faa29933000-7faa29b32000 ---p 00017000 08:02 236061                     /usr/lib64/libICE.so.6.3.0
7faa29b32000-7faa29b33000 r--p 00016000 08:02 236061                     /usr/lib64/libICE.so.6.3.0
7faa29b33000-7faa29b34000 rw-p 00017000 08:02 236061                     /usr/lib64/libICE.so.6.3.0
7faa29b34000-7faa29b38000 rw-p 7faa29b34000 00:00 0 
...

My emerge --info

Portage 2.1.6.10 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T5550_@_1.83GHz-with-glibc2.2.5
Timestamp of tree: Fri, 27 Mar 2009 07:30:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p10-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.6
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.prz.rzeszow.pl/ http://ftp.fi.muni.cz/pub/linux/gentoo"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt dbus dri dvd dvdr dvdread eds emboss encode esd evo firefox fortran gdbm gif gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg jpg ldap libnotify mad midi mikmod mmx mp3 mpeg mudflap multilib ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pcre pdf perl png ppds pppd python qt qt3 qt3support qt4 quicktime readline reflection sdl session spell spl sse sse2 sse3 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard synaptics mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


latest (180.41) nvidia-drivers.
Comment 82 Christian Strahl 2009-04-01 21:34:16 UTC
(In reply to comment #80, #81)

Upstream bugtracker shows workaround (use mesa libGL instead of nvidia):

export LD_PRELOAD=/usr/lib64/opengl/xorg-x11/lib/libGL.so.1.2;
songbird-bin


(http://bugzilla.songbirdnest.com/show_bug.cgi?id=15306)

Comment 83 kaaZoo 2009-04-18 10:42:02 UTC
Created attachment 188783 [details]
Songbird version 1.1.2 ebuild
Comment 84 Peter Alfredsen (RETIRED) gentoo-dev 2009-04-19 18:40:57 UTC
*** Bug 266796 has been marked as a duplicate of this bug. ***
Comment 85 renato gallo 2009-04-20 08:39:34 UTC
anyone else there has problems visualizing the collection titles ?
Comment 86 Alexander Huemer 2009-04-23 17:58:34 UTC
the ebuild from kaaZoo 2009-04-18 has a dependency on >=virtual/xft-7.0, which does not exist on my system. in which overlay can it be found?
Comment 87 Gabor Garami 2009-05-04 14:15:35 UTC
Please remove virtual/xft dependency from 1.1.2 ebuild, because this package isn't exist anymore.
Comment 88 Anthony Mattheakakis 2009-05-06 09:07:56 UTC
Had the exact same issue. Fixed by adding export LD_PRELOAD="/usr/lib64/mozilla-firefox/libjemalloc.so" in the wrapper script (.../songbird)
See this bug: http://bugs.gentoo.org/262205

(In reply to comment #63)
> I get all this nifty output instead of the program:
> 
> wired@cloud ~ $ songbird-bin 
> run_moz: /opt/songbird/songbird-bin
> xx /opt/songbird/songbird-bin
> *** glibc detected *** /opt/songbird/songbird-bin: free(): invalid pointer:
> 0x00007fe40a332930 ***
> ======= Backtrace: =========
> /lib/libc.so.6[0x7fe40a542438]
> /lib/libc.so.6(cfree+0x76)[0x7fe40a543f76]
> //usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.1[0x7fe40b6bba2b]
> ======= Memory map: ========
> 00400000-00408000 r-xp 00000000 08:06 1205191                           
> /opt/songbird/songbird-bin
> 00608000-00609000 rw-p 00008000 08:06 1205191                           
> /opt/songbird/songbird-bin
> 41e5b000-41e5d000 rwxp 00000000 00:0f 2121                              
> /dev/zero
> 7fe4008f2000-7fe401618000 r-xp 00000000 08:06 1149058                   
> /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> 7fe401618000-7fe401717000 ---p 00d26000 08:06 1149058                   
> /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> 7fe401717000-7fe401b3c000 rwxp 00d25000 08:06 1149058                   
> /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> 7fe401b3c000-7fe401b4d000 rwxp 7fe401b3c000 00:00 0 
> 7fe401b4d000-7fe401b55000 r-xp 00000000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401b55000-7fe401d54000 ---p 00008000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401d54000-7fe401d55000 r--p 00007000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401d55000-7fe401d56000 rw-p 00008000 08:06 818643                    
> /lib64/librt-2.9.so
> 7fe401d56000-7fe401dbd000 r-xp 00000000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401dbd000-7fe401fbd000 ---p 00067000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401fbd000-7fe401fbf000 r--p 00067000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401fbf000-7fe401fc0000 rw-p 00069000 08:06 247058                    
> /usr/lib64/libgio-2.0.so.0.1800.3
> 7fe401fc0000-7fe401fc1000 rw-p 7fe401fc0000 00:00 0 
> 7fe401fc1000-7fe401fca000 r-xp 00000000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe401fca000-7fe4021ca000 ---p 00009000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe4021ca000-7fe4021cb000 r--p 00009000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe4021cb000-7fe4021cc000 rw-p 0000a000 08:06 364359                    
> /usr/lib64/libXi.so.6.0.0
> 7fe4021cc000-7fe4021dc000 r-xp 00000000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4021dc000-7fe4023dc000 ---p 00010000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4023dc000-7fe4023dd000 r--p 00010000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4023dd000-7fe4023de000 rw-p 00011000 08:06 24213                     
> /usr/lib64/libXext.so.6.4.0
> 7fe4023de000-7fe4023f6000 r-xp 00000000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4023f6000-7fe4025f6000 ---p 00018000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4025f6000-7fe4025f7000 r--p 00018000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4025f7000-7fe4025f8000 rw-p 00019000 08:06 298408                    
> /usr/lib64/libXmu.so.6.2.0
> 7fe4025f8000-7fe40260d000 r-xp 00000000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40260d000-7fe40280c000 ---p 00015000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40280c000-7fe40280d000 r--p 00014000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40280d000-7fe40280e000 rw-p 00015000 08:06 194875                    
> /usr/lib64/libICE.so.6.3.0
> 7fe40280e000-7fe402811000 rw-p 7fe40280e000 00:00 0 
> 7fe402811000-7fe402818000 r-xp 00000000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402818000-7fe402a17000 ---p 00007000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402a17000-7fe402a18000 r--p 00006000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402a18000-7fe402a19000 rw-p 00007000 08:06 194778                    
> /usr/lib64/libSM.so.6.0.0
> 7fe402a19000-7fe402abd000 r-xp 00000000 08:06 1149055                   
> /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
> 7fe402abd000-7fe402bbc000 ---p 000a4000 08:06 1149055                   
> /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
> 7fe402bbc000-7fe402bf4000 rwxp 000a3000 08/opt/bin/songbird-bin: line 134:
> 23881 Aborted                 "$prog" ${1+"$@"}
> 

Comment 89 renato gallo 2009-05-06 10:45:21 UTC
shouldn't be right to add a patch for the wrapper script into the ebuild ?






(In reply to comment #88)
> Had the exact same issue. Fixed by adding export
> LD_PRELOAD="/usr/lib64/mozilla-firefox/libjemalloc.so" in the wrapper script
> (.../songbird)
> See this bug: http://bugs.gentoo.org/262205
> 
> (In reply to comment #63)
> > I get all this nifty output instead of the program:
> > 
> > wired@cloud ~ $ songbird-bin 

> > run_moz: /opt/songbird/songbird-bin
> > xx /opt/songbird/songbird-bin
> > *** glibc detected *** /opt/songbird/songbird-bin: free(): invalid pointer:
> > 0x00007fe40a332930 ***
> > ======= Backtrace: =========
> > /lib/libc.so.6[0x7fe40a542438]
> > /lib/libc.so.6(cfree+0x76)[0x7fe40a543f76]
> > //usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.1[0x7fe40b6bba2b]
> > ======= Memory map: ========
> > 00400000-00408000 r-xp 00000000 08:06 1205191                           
> > /opt/songbird/songbird-bin
> > 00608000-00609000 rw-p 00008000 08:06 1205191                           
> > /opt/songbird/songbird-bin
> > 41e5b000-41e5d000 rwxp 00000000 00:0f 2121                              
> > /dev/zero
> > 7fe4008f2000-7fe401618000 r-xp 00000000 08:06 1149058                   
> > /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> > 7fe401618000-7fe401717000 ---p 00d26000 08:06 1149058                   
> > /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> > 7fe401717000-7fe401b3c000 rwxp 00d25000 08:06 1149058                   
> > /usr/lib64/opengl/nvidia/lib/libGLcore.so.180.16
> > 7fe401b3c000-7fe401b4d000 rwxp 7fe401b3c000 00:00 0 
> > 7fe401b4d000-7fe401b55000 r-xp 00000000 08:06 818643                    
> > /lib64/librt-2.9.so
> > 7fe401b55000-7fe401d54000 ---p 00008000 08:06 818643                    
> > /lib64/librt-2.9.so
> > 7fe401d54000-7fe401d55000 r--p 00007000 08:06 818643                    
> > /lib64/librt-2.9.so
> > 7fe401d55000-7fe401d56000 rw-p 00008000 08:06 818643                    
> > /lib64/librt-2.9.so
> > 7fe401d56000-7fe401dbd000 r-xp 00000000 08:06 247058                    
> > /usr/lib64/libgio-2.0.so.0.1800.3
> > 7fe401dbd000-7fe401fbd000 ---p 00067000 08:06 247058                    
> > /usr/lib64/libgio-2.0.so.0.1800.3
> > 7fe401fbd000-7fe401fbf000 r--p 00067000 08:06 247058                    
> > /usr/lib64/libgio-2.0.so.0.1800.3
> > 7fe401fbf000-7fe401fc0000 rw-p 00069000 08:06 247058                    
> > /usr/lib64/libgio-2.0.so.0.1800.3
> > 7fe401fc0000-7fe401fc1000 rw-p 7fe401fc0000 00:00 0 
> > 7fe401fc1000-7fe401fca000 r-xp 00000000 08:06 364359                    
> > /usr/lib64/libXi.so.6.0.0
> > 7fe401fca000-7fe4021ca000 ---p 00009000 08:06 364359                    
> > /usr/lib64/libXi.so.6.0.0
> > 7fe4021ca000-7fe4021cb000 r--p 00009000 08:06 364359                    
> > /usr/lib64/libXi.so.6.0.0
> > 7fe4021cb000-7fe4021cc000 rw-p 0000a000 08:06 364359                    
> > /usr/lib64/libXi.so.6.0.0
> > 7fe4021cc000-7fe4021dc000 r-xp 00000000 08:06 24213                     
> > /usr/lib64/libXext.so.6.4.0
> > 7fe4021dc000-7fe4023dc000 ---p 00010000 08:06 24213                     
> > /usr/lib64/libXext.so.6.4.0
> > 7fe4023dc000-7fe4023dd000 r--p 00010000 08:06 24213                     
> > /usr/lib64/libXext.so.6.4.0
> > 7fe4023dd000-7fe4023de000 rw-p 00011000 08:06 24213                     
> > /usr/lib64/libXext.so.6.4.0
> > 7fe4023de000-7fe4023f6000 r-xp 00000000 08:06 298408                    
> > /usr/lib64/libXmu.so.6.2.0
> > 7fe4023f6000-7fe4025f6000 ---p 00018000 08:06 298408                    
> > /usr/lib64/libXmu.so.6.2.0
> > 7fe4025f6000-7fe4025f7000 r--p 00018000 08:06 298408                    
> > /usr/lib64/libXmu.so.6.2.0
> > 7fe4025f7000-7fe4025f8000 rw-p 00019000 08:06 298408                    
> > /usr/lib64/libXmu.so.6.2.0
> > 7fe4025f8000-7fe40260d000 r-xp 00000000 08:06 194875                    
> > /usr/lib64/libICE.so.6.3.0
> > 7fe40260d000-7fe40280c000 ---p 00015000 08:06 194875                    
> > /usr/lib64/libICE.so.6.3.0
> > 7fe40280c000-7fe40280d000 r--p 00014000 08:06 194875                    
> > /usr/lib64/libICE.so.6.3.0
> > 7fe40280d000-7fe40280e000 rw-p 00015000 08:06 194875                    
> > /usr/lib64/libICE.so.6.3.0
> > 7fe40280e000-7fe402811000 rw-p 7fe40280e000 00:00 0 
> > 7fe402811000-7fe402818000 r-xp 00000000 08:06 194778                    
> > /usr/lib64/libSM.so.6.0.0
> > 7fe402818000-7fe402a17000 ---p 00007000 08:06 194778                    
> > /usr/lib64/libSM.so.6.0.0
> > 7fe402a17000-7fe402a18000 r--p 00006000 08:06 194778                    
> > /usr/lib64/libSM.so.6.0.0
> > 7fe402a18000-7fe402a19000 rw-p 00007000 08:06 194778                    
> > /usr/lib64/libSM.so.6.0.0
> > 7fe402a19000-7fe402abd000 r-xp 00000000 08:06 1149055                   
> > /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
> > 7fe402abd000-7fe402bbc000 ---p 000a4000 08:06 1149055                   
> > /usr/lib64/opengl/nvidia/lib/libGL.so.180.16
> > 7fe402bbc000-7fe402bf4000 rwxp 000a3000 08/opt/bin/songbird-bin: line 134:
> > 23881 Aborted                 "$prog" ${1+"$@"}
> > 
> 

Comment 90 Davi K Vidal 2009-05-07 14:46:15 UTC
Created attachment 190624 [details]
Removing virtual/xft as dependence

Replacing virtual/xft for x11-libs/libXft since virtual/xft was removed.
See http://bugs.gentoo.org/253771 for details.
Comment 91 Davi K Vidal 2009-05-07 14:49:44 UTC
Comment on attachment 190624 [details]
Removing virtual/xft as dependence

Fixing typo on description. Sorry
Comment 92 Dominik George 2009-05-08 19:02:05 UTC
You might want to keep the package name intact when posting a new ebuild ;)
Comment 93 Eric Johnson 2009-05-20 06:00:09 UTC
Can songbird run in a non-gnome environment? I don't see a gnome dependency.  

SBAppInitialize:SBRegisterSongbirdProtocol()
TypeError: Components.classes['@mozilla.org/gnome-gconf-service;1'] is undefined



The rest of the exceptions seem to be simple linking issues.

(songbird-bin:28487): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28487): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:28487): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28487): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:28487): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28487): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:28501): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory
FAIL
Comment 94 Dominik George 2009-05-20 12:08:23 UTC
Yes, it runs outside GNOME, but needs gconf.

Please add the required dependencies!
Comment 95 Dominik George 2009-05-20 12:10:10 UTC
Although this might be a bug in a gstreamer ebuild as the library is required by a gst plugin rather than Songbird directly.
Comment 96 ~S 2009-05-20 14:34:54 UTC
something interesting happened with me
i am -gnome -kde -qt user, so i prefer fluxbox and X only packages
anyways, i was searching for alternative to amarok and bumped into exaile
i emerged it but i didn't like it
at the same time i came across songbird, i was curious if the binary would work on my ~amd64 machine
i downloaded the tarball from www.getsongbird.com, extracted it in my home dir
and woila! it worked like a charm!
i used it for a day or two, and then unmerged exaile
oopsi! err!!
the songbird won't chirp anymore :(

so i tried installing all the dependencies exaile pulled in
(namely the gstreamer-plugins-meta package)
but it still refuses to play any mp3 :(

so if you guys can examine the dependancies of exaile and figure out what's needed by songbird, maybe you can fix the ebuild issue
(i have no idea how to write ebuild, i am n00b in that sense :P )

I am very glad to find the sunrise overlay
hope you guys keep up the good work and keep bumping the sunrise overlay version of songbird

cheers!(or shall i say chirp!!)

~S
Comment 97 ~S 2009-05-20 16:35:17 UTC
Oops!
I forgot to mention the main point
Songbird_1.1.2-1042_linux-x86_64.tar.gz when extracted to home dir and running the songbird wrapper script works fine for me
(to resolve the dependancy issue, i emerged songbird from sunrise overlay, but instead of using songbird-bin, i use the wrapper script songbird from the extracted tarball
so far the app runs fine with the usual starting warning of
"""
songbird-bin:16400): GStreamer-WARNING **: Failed to load plugin '/home/prince/Songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:16400): GStreamer-WARNING **: Failed to load plugin '/home/prince/Songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:16400): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstffmpeg.so': /usr/lib64/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_tag_setter_reset_tags

(songbird-bin:16487): GStreamer-WARNING **: Failed to load plugin '/home/prince/Songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:16487): GStreamer-WARNING **: Failed to load plugin '/home/prince/Songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:16487): GStreamer-WARNING **: Failed to load plugin '/home/prince/Songbird/gst-plugins/libgstautodetect.so': libgconf-2.so.4: cannot open shared object file: No such file or directory

(songbird-bin:16487): GStreamer-WARNING **: Failed to load plugin '/home/prince/Songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:16487): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstffmpeg.so': /usr/lib64/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_tag_setter_reset_tags
"""

apart from these, everything is working like a charm, addons, mp3s etc. working good
can anyone help me removing the warn msg (not that i have particular problems with it, but would like to have clean xterm msg window :)

~S
Comment 98 Justin 2009-06-23 18:41:24 UTC
Created attachment 195585 [details]
Songbird 1.2.0 ebuild, added pulseaudio USE

Version 1.2.0 was released June 18th '09.

Spent a few minutes to put the USE deps/flags in alphabetical order, edit the symlink patch (I don't think the addition of 'else' is necessary as the script now comes with 'fi' on line 310), added pulseaudio as a USE flag, and added einfo about hotkeys.

Some preliminary testing yields a working Songbird install without any special workarounds. Woot.
Comment 99 Justin 2009-06-23 18:43:54 UTC
Created attachment 195587 [details]
Songbird startup script patch
Comment 100 Matt 2009-06-24 13:19:04 UTC
~amd64:

anybody is getting the same crappy message ?

songbird-bin 
/opt/songbird/songbird-bin: symbol lookup error: /usr/lib64/python2.6/site-packages/gst-0.10/gst/_gst.so: undefined symbol: gst_xml_get_type
Could not initialize GStreamer: Error re-scanning registry , child terminated by signal

package providing _gst.so is dev-python/gst-python

any ideas what to do ?

thanks
Comment 101 Matt 2009-06-24 13:27:43 UTC
got it:

the solution is to mask =dev-python/gst-python-0.10.15* (or even above)

and re-emerge and/or downgrade to dev-python/gst-python-0.10.13

then songbird-bin starts up fine

seems like gst-python-0.10.15 includes a bug or doesn't support gst_xml_get_type
which 0.10.13 does - strange :S

enjoy ! :)
Comment 102 Alexander Huemer 2009-07-15 09:41:15 UTC
is there a resolution for the gst-python problem yet?
Comment 103 Ryan 2009-07-15 21:21:45 UTC
even easier fix then downgrading, Songbird is packing it's own gstreamer libs, go into /opt/songbird/lib, and rm -rf libgst* 

This worked for me, no more gst xml erros.
Comment 104 Alex Beloi 2009-10-07 07:04:55 UTC
(songbird-bin:12893): GStreamer-WARNING **: Failed to load plugin 'i_changed_this/gst-plugins/libgstpulse.so': /usr/lib/libsndfile.so.1: undefined symbol: vorbis_version_string
./songbird: line 134: 12893 Segmentation fault      "$prog" ${1+"$@"}


I kept getting that segfault when trying to play any (mp3) track in my library. I use pulseaudio, may be relevant. I tried downgrading everything from gstreamer and gst-python to every gst-plugins-* package I had, this was based on other warnings I would get at startup such as

(songbird-bin:1571): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstdeinterlace.so': /usr/lib/gstreamer-0.10/libgstdeinterlace.so: undefined symbol: gst_video_format_parse_caps_interlaced

The segfault error occurred with songbird versions 1.1.2, 1.2.0, and 1.4.0 nightly or svn builds. I suspected some changes in a gstreamer or gst-python/plugins upgrade might be the root of the problem.

What ended up working was downgrading to libsndfile-1.0.18 from libsndfile-1.0.20.

I would post more info (technically, I think this should go in songbird's buzilla), but at this point I don't feel like recompiling some libraries (and registering at songbird's bugzilla) just to post more error codes.

if anybody would like to try to recreate this bug and/or try to file it at songbird's bugzilla, here are some instructions

recreate:
songbird versions 1.1.2, 1.2.0(sunrise overlay), or 1.4.0 nightly
>libsndfile-1.0.18
<maybe>
pulseaudio-0.9.19-r50
alsa set to use pulse by default
</maybe>
play any track after startup
Comment 105 Jeff Wood 2009-10-16 11:24:46 UTC
(In reply to comment #103)
> even easier fix then downgrading, Songbird is packing it's own gstreamer libs,
> go into /opt/songbird/lib, and rm -rf libgst* 
> 
> This worked for me, no more gst xml erros.
> 

I can confirm this, worked for me, prior to removing the bundled libs, Songbird would die a horrible death at startup.

However, I'm using the ebuild from sunrise overlay, not sure what differences there are.  I also DO NOT USE pulseaudio.
Comment 106 Michael Weber (RETIRED) gentoo-dev 2009-10-21 21:50:10 UTC
(In reply to comment #103)
> even easier fix then downgrading, Songbird is packing it's own gstreamer libs,
> go into /opt/songbird/lib, and rm -rf libgst* 
> 
> This worked for me, no more gst xml erros.
> 

Hi, i've songbird-bin-1.2.0.1146 from sunrise overlay. Initially I get a crash at startup:

michael@io ~ $ songbird-bin 
run_moz: /opt/songbird/songbird-bin
xx /opt/songbird/songbird-bin

(songbird-bin:1222): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:1222): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstdeinterlace.so': /usr/lib64/gstreamer-0.10/libgstdeinterlace.so: undefined symbol: gst_video_format_parse_caps_interlaced

(songbird-bin:1222): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstapp.so': /usr/lib/libgstapp-0.10.so.0: undefined symbol: gst_buffer_list_get_type

(songbird-bin:1222): GStreamer-WARNING **: invalid name template bwf_audio_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template alaw_audio_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template dv_dif_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template jpeg2000_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template mpeg_audio_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template mpeg_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template up_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: invalid name template vc3_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:1222): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstasfmux.so': /usr/lib64/gstreamer-0.10/libgstasfmux.so: undefined symbol: gst_tag_list_add_value

(songbird-bin:1222): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstmpegdemux.so': /usr/lib64/gstreamer-0.10/libgstmpegdemux.so: undefined symbol: _gst_debug_dump_mem
/opt/songbird/songbird-bin: symbol lookup error: /usr/lib64/python2.6/site-packages/gst-0.10/gst/_gst.so: undefined symbol: gst_xml_get_type
Could not initialize GStreamer: Error re-scanning registry , child terminated by signal

After running mv /opt/songbird/lib/libgst* /tmp I get a running songbird with following errors 

michael@io ~ $ songbird-bin 
run_moz: /opt/songbird/songbird-bin
xx /opt/songbird/songbird-bin

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_ref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_unref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_ref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_unref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_ref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_unref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_ref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25237): GStreamer-CRITICAL **: gst_caps_unref: assertion `GST_CAPS_REFCOUNT_VALUE (caps) > 0' failed

(songbird-bin:25248): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:25248): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

It still want's to load this libpulse.so.0 from media-sound/pulseaudio, which I haven't installed and not set as use flag.

io lib # emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.4, glibc-2.10.1-r0, 2.6.31-gentoo-r3-io.0 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r3-io.0-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7300_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 21 Oct 2009 20:30:12 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r4
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mfpmath=sse -mieee-fp -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=core2 -mfpmath=sse -mieee-fp -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 2"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://nash.fs.lmu.de/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--ipv6"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/sunrise /usr/local/portage/layman/gnome /usr/local/portage/layman/xmw /usr/local/portage/layman/x11"
SYNC="rsync://nash.fs.lmu.de/gentoo-portage/"
USE="X a54 aac aalib acl acpi alsa amd64 bash-completion berkdb bluetooth bzip2 cairo cdda cddb cdparanoia cdr cli cracklib crypt cups dbus dga directfb djvu doc dri dts dv dvb dvd dvdr dvdread encode exif fbcon ffmpeg fftw flac fontconfig fortran gdbm gif gimp glut gnome gnome-keyring gnutls gphoto2 gpm gs gtk hal iconv id3tag imagemagick ipod ipv6 isdnlog java java6 jbig joystick jpeg jpeg2k lame latex lcms libsamplerate lm_sensors lzma lzo mad mikmod mmap mmx mng modules mp3 mpeg mplayer mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp pam pch pcmcia pcre pdf perl png postgres pppd python qt3 qt4 quicktime raw readline reflection rle samba sdl session smp speex spell spl sqlite sse sse2 ssl subversion svg symlink sysfs syslog tcl tcpd theora threads tiff tk truetype unicode usb vim-syntax vorbis wavpack x264 xcb xine xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="intel-hda" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

Do I have to "unbundle" some more files - maybe in /opt/songbird/plugins ?

Michael
Comment 107 Michael Weber (RETIRED) gentoo-dev 2009-10-23 13:11:50 UTC
Either emerggin pulseaudio or removing /opt/songbird/gst-plugins/libgstpulse.so resolves this situation. 

Btw. the summary may contain the current ebuild name media-sound/songbird-bin, this would increase the visibility of this report.
Comment 108 Alex Efros 2009-11-12 19:31:07 UTC
Several issues with media-sound/songbird-bin-1.2.0.1146:

- to make it possible to send crash reports ebuild should do:
  chmod +x /opt/songbird/xulrunner/crashreporter

- to run sondbird on hardened system:
  chpax -m /opt/songbird/songbird-bin

Without these it hangs on start without printing any error messages, which make it hard to debug this issue.
Comment 109 Marcin (Poe) Rzonca 2009-11-18 13:41:55 UTC
Created attachment 210575 [details]
ebuild for  songbird 1.4.0.1303

Hi. It's an ebuild for 1.4.0-beta3. I spoke with songbird-devs, and gentoo now have own place on songbird-wiki, where I upload ebuilds - http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds

cheers
Comment 110 Michael Weber (RETIRED) gentoo-dev 2009-11-18 16:13:43 UTC
(In reply to comment #109)
> Created an attachment (id=210575) [details]
> ebuild for  songbird 1.4.0.1303
> 
> Hi. It's an ebuild for 1.4.0-beta3. I spoke with songbird-devs, and gentoo now
> have own place on songbird-wiki, where I upload ebuilds -
> http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds
> 
> cheers

hi poe, 
there's a bug concering virtual/xft, see http://bugs.gentoo.org/253771
Michael 
Comment 111 Michael Weber (RETIRED) gentoo-dev 2009-11-18 16:58:36 UTC
I see following errors with current stable gst-plugins and gstreamer without pulseaudio. Removal of /opt/songbird/gst-plugins/libgstpulse.so as in #107 does not work.

michael@io ~ $ songbird-bin 

(songbird-bin:3682): GStreamer-WARNING **: Failed to load plugin '/opt/songbird/gst-plugins/libgstpulse.so': libpulse.so.0: cannot open shared object file: No such file or directory

(songbird-bin:3682): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstdeinterlace.so': /usr/lib64/gstreamer-0.10/libgstdeinterlace.so: undefined symbol: gst_video_format_parse_caps_interlaced

(songbird-bin:3682): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstapp.so': /usr/lib/libgstapp-0.10.so.0: undefined symbol: gst_buffer_list_get_type

(songbird-bin:3682): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstavi.so': /usr/lib64/gstreamer-0.10/libgstavi.so: undefined symbol: _gst_debug_dump_mem

(songbird-bin:3682): GStreamer-WARNING **: invalid name template bwf_audio_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template alaw_audio_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template dv_dif_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template jpeg2000_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template mpeg_audio_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template mpeg_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template up_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: invalid name template vc3_video_sink_%u: conversion specification must be of type '%d' or '%s' for GST_PAD_REQUEST padtemplate

(songbird-bin:3682): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstmpegdemux.so': /usr/lib64/gstreamer-0.10/libgstmpegdemux.so: undefined symbol: _gst_debug_dump_mem
/opt/songbird/songbird-bin: symbol lookup error: /usr/lib64/python2.6/site-packages/gst-0.10/gst/_gst.so: undefined symbol: gst_task_pool_get_type
Could not initialize GStreamer: Error re-scanning registry , child terminated by signal
Comment 112 Michael Weber (RETIRED) gentoo-dev 2009-11-22 16:53:50 UTC
Hi, I've added a find to remove the bundled libraries, works for me, download at 
http://svn.xmw.de/gentoo-overlay/media-sound/songbird-bin/songbird-bin-1.4.0.1303_beta3-r1.ebuild
Comment 113 Ronan Arraes Jardim Chagas 2009-11-29 22:42:02 UTC
Songbird 1.2.0 here is having the problems described at #111 and the proposed solution on #107 didn't worked. I'm using GStreamer 0.10.25. 

However, songbird-bin-1.4.0.1303_beta3-r1.ebuild is working without problems here! Thanks for the ebuild!
Comment 114 Marcin (Poe) Rzonca 2009-12-02 14:20:52 UTC
Created attachment 211776 [details]
ebuild for  songbird 1.4.0.1303-r1

It's newer version of songbird-1.4.0-b3, with a few new lines made by Michael Webber (big thanks). some people have problems with libraries.

--- songbird-bin-1.4.0.1303_beta3.ebuild        2009-11-21 00:55:31.000000000 +0100
+++ songbird-bin-1.4.0.1303_beta3-r1.ebuild     2009-11-22 17:36:49.000000000 +0100
@@ -65,6 +65,11 @@
 }

 src_install() {
+       einfo "unbundling gst, theora and vorbis libs"
+       find lib \( \
+               -name "libgst*" -o -name "libtheora*" -o \
+               -name "libvorbis*" -o -name "libogg*" -o -name "libFLAC*" \) \
+               -exec rm -v \{\} \; || die
       insinto /opt/songbird
       doins -r *
       fperms 755 /opt/songbird/songbird

I'll update it on songbirdnest.com too.

cheers
Comment 115 Jan Beinersdorf 2009-12-23 10:59:56 UTC
Created attachment 213911 [details]
ebuild for 1.4.2.1434

Same as for 1.4.0.1303-r1, only modified the source uri
Comment 116 Trevor Bowen 2009-12-23 14:40:35 UTC
Installed the new ebuild for 1.4.2.1434.  Received an error on startup about failure to read in old library files - Yikes!

Worse, songbird hangs the terminal, but I never see the window.  Term has this error message:

$ songbird-bin 
(songbird-bin:11150): GLib-WARNING **: g_set_prgname() called multiple times
(songbird-bin:11154): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgst1394.so': /usr/lib64/gstreamer-0.10/libgst1394.so: undefined symbol: raw1394_read_cycle_timer
(songbird-bin:11150): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
(songbird-bin:11150): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
(songbird-bin:11150): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
(songbird-bin:11150): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
(songbird-bin:11150): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

I am using the latest KDE-4 in portage, if that helps.  Any thoughts? ... Thanks!
Comment 117 Trevor Bowen 2009-12-23 14:59:28 UTC
I killed and restarted a few times, and eventually it opened, although I have
lost my playlists from 1.2.
Comment 118 Jan Beinersdorf 2009-12-23 16:30:34 UTC
(In reply to comment #116)
> Installed the new ebuild for 1.4.2.1434.  Received an error on startup about
> failure to read in old library files - Yikes!
> 
> Worse, songbird hangs the terminal, but I never see the window.  Term has this
> error message:

That's strange. I'had no such problem when testing this. Which version did you upgrade from?
Comment 119 Trevor Bowen 2009-12-23 16:42:36 UTC
I had used this ebuild:  songbird-bin-1.2.0.ebuild.

The gui complained on start-up, reporting that the failed update behavior was unexpected and I should report a bug.  Unfortunately, I could not reproduce the error.  So, I moved my .songbird2 conf dir out of the way, and I restarted 2 or 3 times until everything worked.  I was missing all my library info; however, I was able to import from iTunes directly (with minimal song path hacking), which I could not do previously with older versions of songbird, so I ended up better than I started!  :) ... Thanks!
Comment 120 Jesse Adelman 2009-12-24 21:50:20 UTC
From http://blog.songbirdnest.com/2009/12/22/songbird-1-4-2-is-posted/

"Update (12/23/09): The Gonzo feather really, really did not want to go away; we fixed yet another Gonzo-related bug (number 19365, if you really want to know) and released Songbird 1.4.3.  Automatic updates will come out early next week."

The bin downloads as http://download.songbirdnest.com/installer/linux/i686/Songbird_1.4.3-1438_linux-i686.tar.gz

Merry xmas.
Comment 121 Marcin (Poe) Rzonca 2009-12-27 23:10:02 UTC
Created attachment 214354 [details]
songbird-bin-1.4.3.1438

Hi. like always, the latest ebuild from me for songbird :) of course, ling for package (ebuild+manifest+digest) you will find on http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds here is my ebuild too.

cheers.
Comment 122 Ben de Groot (RETIRED) gentoo-dev 2010-04-03 22:02:41 UTC
http://blog.songbirdnest.com/2010/04/02/songbird-singing-a-new-tune/

"After careful consideration, we’ve come to the painful conclusion that we should discontinue support for the Linux version of Songbird."
Comment 123 Michael Weber (RETIRED) gentoo-dev 2010-05-04 01:45:56 UTC
songbird-bin-1.4.3.1438.ebuild is in the sunrise overlay now.

If you want to try the 1.8.0a_r1638 or the latest svn, try 
http://svn.xmw.de/websvn/gentoo-overlay/media-sound/songbird/
Comment 124 Jan Beinersdorf 2010-05-04 09:31:01 UTC
(In reply to comment #123)
> If you want to try the 1.8.0a_r1638 or the latest svn, try 
> http://svn.xmw.de/websvn/gentoo-overlay/media-sound/songbird/

Works fine for me, but on line 75 I think it should be "use amd64 && subversion_fetch ..." instead of "use amf64 && subversion ..." ;-)
Comment 125 Matt 2010-05-04 11:56:31 UTC
thanks !

but besides that it should also be:

                use amd64 && subversion_fetch http://publicsvn.songbirdnest.com/vendor-binaries/trunk/linux-x86_64
                use x86 && subversion_fetch http://publicsvn.songbirdnest.com/vendor-binaries/trunk/linux-i686


instead of 

                use amd64 && subversion_fetch http://publicsvn.songbirdnest.com/vendor-binaries/trunk/linux-i686
                use x86 && subversion_fetch http://publicsvn.songbirdnest.com/vendor-binaries/trunk/linux-x86_64

(I don't think that the i686 source / binaries would work fine on amd64 and vice versa)
Comment 126 Michael Weber (RETIRED) gentoo-dev 2010-05-05 03:43:10 UTC
(In reply to comment #124)
> Works fine for me, but on line 75 I think it should be "use amd64 &&
> subversion_fetch ..." instead of "use amf64 && subversion ..." ;-)

(In reply to comment #125)
>                 use amd64 && subversion_fetch
> http://publicsvn.songbirdnest.com/vendor-binaries/trunk/linux-x86_64
>                 use x86 && subversion_fetch
> http://publicsvn.songbirdnest.com/vendor-binaries/trunk/linux-i686

Thanks, I've updated that. 
Stay tuned and maybe watch bug 316443 .
Comment 127 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-08-23 17:29:14 UTC
AFAICS upstream revised their decision, thus reopening.
Comment 128 Trevor Bowen 2010-08-27 13:51:21 UTC
Created attachment 244939 [details]
nightly build, songbird-bin 1.8.0b3-1747 ebuild

Using this ebuild as a template:

songbird-bin-1.4.3.1438.ebuild

I changed the version number to:  1.8.0b3-1747

And, I changed:  net-misc/neon to net-libs/neon

It's a nightly-build binary installation, but it works fine for me on amd64.  Songbird was able to update all of my plug-ins, which were fairly standard.

YMMV
Comment 129 Michael Weber (RETIRED) gentoo-dev 2010-09-17 09:24:18 UTC
+*songbird-bin-1.4.3.1438 (17 Sep 2010)
+
+  17 Sep 2010; Michael Weber <xmw@gentoo.org>
+  +files/songbird-bin-1.2.0-symlink.patch, +songbird-bin-1.4.3.1438.ebuild,
+  +metadata.xml:
+  Initial import from sunrise. Many thanks to all the contributors on bug
+  #139019.
Comment 130 Richard Ash 2010-10-12 21:21:06 UTC
Created attachment 250395 [details]
Ebuild for songbird-bin-1.8.0.1800 (the 1.8.0 release)

I'm not sure if updates to the ebuild should continue to come through here, but I've upgraded the ebuild here for the 1.8.0 release of songbird and it's working fine (amd64). Along the way I removed a load more binary libraries shipped with the build and replaced them with dependencies on the equivalent packages in Gentoo (dev-libs/nss dev-libs/nspr more gstreamer).

I didn't try and mess with sqlite3 (also shipped as a binary dep) as I don't know what version songbird (or rather their patched copy of xulrunner) is linked against ...

I've also got rid of the hard-coded name and version at the top so upgrades for future releases should be as simple as changing the file name (in theory).
Comment 131 Cyril42e 2010-11-28 10:34:40 UTC
(In reply to comment #130)
> Created an attachment (id=250395) [details]
> Ebuild for songbird-bin-1.8.0.1800 (the 1.8.0 release)

It is working great on an x86 arch, I've been trying to install songbird 1.8 release for weeks, manually or by modifying older ebuilds, and it was never working, but your ebuild is working just fine! Thanks!

Comment 132 pedro 2011-01-18 16:40:02 UTC
(In reply to comment #131)
> (In reply to comment #130)
> > Created an attachment (id=250395) [details] [details]
> > Ebuild for songbird-bin-1.8.0.1800 (the 1.8.0 release)
> 
> It is working great on an x86 arch, I've been trying to install songbird 1.8
> release for weeks, manually or by modifying older ebuilds, and it was never
> working, but your ebuild is working just fine! Thanks!
> 

i'm here to just thank you all for the work done on this ebuild. works flawlessly on my amd64. 
Comment 133 Trevor Bowen 2011-03-16 16:51:10 UTC
Modified an earlier ebuild, very similar to 1.8.0b3, to add support for the new 1.9.3.1959 build.  (1.10.0 is in alpha currently and only available as a "nightly build".)  Unfortunately, songbird has dropped support 64-bit (amd64), and now they only provide a 32-bit (i686/x86) build.

This new build points to the new version, but it also forces the 32-bit version.  There's no more x86/amd64 arch switch on the SRC-URI.

My amd64 box does not have 32-bit gst-streamer plugins, so I have backed out the few lines that removed all the bundled libraries, since amd64 users now need those.  Otherwise, you get conflicting ELF loading errors.  (32-bit songbird tries to user your 64-bit system libraries.)

This ebuild should be updated so that only amd64 users get the bundled libs.  x86 arch users should continue to remove the bundled libs, since they will conflict with their system libs.  How can I switch this based on the arch?

AMD64 users should be able to use this AS-IS, but x86 users may want to uncomment lines 74-77
Comment 134 Trevor Bowen 2011-03-16 16:54:48 UTC
Created attachment 266151 [details]
ebuild for Songbird 1.9.3 for amd64 users
Comment 135 Shubhadeep Chaudhuri 2011-12-04 00:01:48 UTC
Ebuild for version 1.10.1, anyone?
Comment 136 Jan Beinersdorf 2012-01-04 11:58:30 UTC
Created attachment 297917 [details]
ebuild for the newest build I could find (Songbird_1.11.0a-2190_linux-i686.tar.gz)

* Based on ebuild 1.9.3 for amd64 users
* Changed download address to http://developer.songbirdnest.com/builds/trunk, seems like the old address doesn't work any more
* Since these seem to be automated builds, there is NO GUARENTEE they will work! A short test of this build on my x86 system has yielded no problems, but it might on yours! HANDLE WITH CARE!
* I'm not very good ad writing ebuilds, so there might be errors in this one!
Comment 137 Cyril42e 2012-02-01 17:51:18 UTC
Created attachment 300687 [details]
Ebuild for songbird-bin-1.10.2.2199 (the 1.10.2 release)

Ebuild for the stable 1.10.2 release, based on the nightly ebuild 1.11.0a-2190 (attachment 297917 [details]).
Unfortunately downloading the tarball seems to fail with wget, although it works with a browser. I don't know if there is a solution for automatic download, or if we need to add fetch restriction and ask the user to manually download it.
Comment 138 Patrick McMunn 2012-02-22 22:11:39 UTC
The source code for songbird is available at http://wiki.songbirdnest.com/Developer/Articles/Getting_Started/Core_Player_Development/Checkout_the_Code#Get_the_Trunk It may be better to look at building from source. I'll see about starting a source-based ebuild for songbird.
Comment 139 Shubhadeep Chaudhuri 2012-03-20 19:32:35 UTC
(In reply to comment #138)
> The source code for songbird is available at
> http://wiki.songbirdnest.com/Developer/Articles/Getting_Started/
> Core_Player_Development/Checkout_the_Code#Get_the_Trunk It may be better to
> look at building from source. I'll see about starting a source-based ebuild
> for songbird.

Did you have any luck with that?
Comment 140 Patrick McMunn 2012-04-06 01:32:38 UTC
I haven't spent a great deal of time on it, but what time I have spent has not been very fruitful - mainly because I'm not quite sure how to handle the dependencies. Some of them seem to be customized versions of older libraries such as xulrunner 1.9.2. The real stumbling block, however, was a dependency on hal. Hal is no longer in tree, and even when I did locate an ebuild for it, I couldn't even install it. In addition, as pointed out by this article http://changelog.complete.org/archives/1081-songbird-how-to-make-great-software-unpopular Songbird ships with its own copies of all the libraries it uses and does not use system libraries. It doesn't look like a simple thing to sort all these issues out.
Comment 141 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:05:56 UTC
It seems that this package is no longer in Sunrise.